annotate mkinstalldirs @ 44830:ce8cb080a127

(ibuffer-filter-group-name-face): New. (ibuffer-mode-map): Bind and add menu entries for most new functions; also, bind the arrow keys to the movement functions. (ibuffer-mode-filter-group-map): New. (ibuffer-mouse-toggle-mark): Handle group names. (ibuffer-mouse-visit-buffer): Error if the current buffer is killed. (ibuffer-skip-properties): New function. (ibuffer-backward-line, ibuffer-forward-line): Optionally skip group names. Also, handle new properties. (ibuffer-visit-buffer, ibuffer-visit-buffer-other-window): Move error handling to `ibuffer-current-buffer'. (ibuffer-visit-buffer-other-frame, ibuffer-bury-buffer): Ditto. (ibuffer-visit-tags-table, ibuffer-do-view-1): Ditto. (ibuffer-toggle-marks): Add optional group argument. (ibuffer-mark-interactive): Skip group names. (ibuffer-current-buffer): Clean up error handling. (ibuffer-fontify-region-function): Fontify group names. (ibuffer-map-lines): Add extra group argument. Handle it. (ibuffer-current-filter-groups): New function. (ibuffer-redisplay): Handle hidden filtering groups. (ibuffer-sort-bufferlist): New function, taken from `ibuffer-insert-buffers-and-marks'. (ibuffer-insert-filter-group): New function. (ibuffer-redisplay-engine): Renamed from `ibuffer-insert-buffers-and-marks'. Handle new filtering groups. (ibuffer): Add filter-groups argument. Handle it. Use `save-selected-window'. (ibuffer-mode): Make `ibuffer-filtering-groups' and `ibuffer-hidden-filtering-groups' buffer-local.
author Colin Walters <walters@gnu.org>
date Wed, 24 Apr 2002 23:27:28 +0000
parents 774df19dd335
children f0eb34e60705 746c40973d25
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
rev   line source
25880
Dave Love <fx@gnu.org>
parents:
diff changeset
1 #! /bin/sh
Dave Love <fx@gnu.org>
parents:
diff changeset
2 # mkinstalldirs --- make directory hierarchy
Dave Love <fx@gnu.org>
parents:
diff changeset
3 # Author: Noah Friedman <friedman@prep.ai.mit.edu>
Dave Love <fx@gnu.org>
parents:
diff changeset
4 # Created: 1993-05-16
Dave Love <fx@gnu.org>
parents:
diff changeset
5 # Public domain
Dave Love <fx@gnu.org>
parents:
diff changeset
6
35853
774df19dd335 (errstatus): Chmod a+rx directories we create.
Gerd Moellmann <gerd@gnu.org>
parents: 25880
diff changeset
7 # $Id: mkinstalldirs,v 1.1 2001/02/02 13:04:53 gerd Exp $
25880
Dave Love <fx@gnu.org>
parents:
diff changeset
8
Dave Love <fx@gnu.org>
parents:
diff changeset
9 errstatus=0
Dave Love <fx@gnu.org>
parents:
diff changeset
10
Dave Love <fx@gnu.org>
parents:
diff changeset
11 for file
Dave Love <fx@gnu.org>
parents:
diff changeset
12 do
Dave Love <fx@gnu.org>
parents:
diff changeset
13 set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
Dave Love <fx@gnu.org>
parents:
diff changeset
14 shift
Dave Love <fx@gnu.org>
parents:
diff changeset
15
Dave Love <fx@gnu.org>
parents:
diff changeset
16 pathcomp=
Dave Love <fx@gnu.org>
parents:
diff changeset
17 for d
Dave Love <fx@gnu.org>
parents:
diff changeset
18 do
Dave Love <fx@gnu.org>
parents:
diff changeset
19 pathcomp="$pathcomp$d"
Dave Love <fx@gnu.org>
parents:
diff changeset
20 case "$pathcomp" in
Dave Love <fx@gnu.org>
parents:
diff changeset
21 -* ) pathcomp=./$pathcomp ;;
Dave Love <fx@gnu.org>
parents:
diff changeset
22 esac
Dave Love <fx@gnu.org>
parents:
diff changeset
23
Dave Love <fx@gnu.org>
parents:
diff changeset
24 if test ! -d "$pathcomp"; then
Dave Love <fx@gnu.org>
parents:
diff changeset
25 echo "mkdir $pathcomp" 1>&2
Dave Love <fx@gnu.org>
parents:
diff changeset
26
35853
774df19dd335 (errstatus): Chmod a+rx directories we create.
Gerd Moellmann <gerd@gnu.org>
parents: 25880
diff changeset
27 (mkdir "$pathcomp" && chmod a+rx "$pathcomp") || lasterr=$?
25880
Dave Love <fx@gnu.org>
parents:
diff changeset
28
Dave Love <fx@gnu.org>
parents:
diff changeset
29 if test ! -d "$pathcomp"; then
Dave Love <fx@gnu.org>
parents:
diff changeset
30 errstatus=$lasterr
Dave Love <fx@gnu.org>
parents:
diff changeset
31 fi
Dave Love <fx@gnu.org>
parents:
diff changeset
32 fi
Dave Love <fx@gnu.org>
parents:
diff changeset
33
Dave Love <fx@gnu.org>
parents:
diff changeset
34 pathcomp="$pathcomp/"
Dave Love <fx@gnu.org>
parents:
diff changeset
35 done
Dave Love <fx@gnu.org>
parents:
diff changeset
36 done
Dave Love <fx@gnu.org>
parents:
diff changeset
37
Dave Love <fx@gnu.org>
parents:
diff changeset
38 exit $errstatus
Dave Love <fx@gnu.org>
parents:
diff changeset
39
Dave Love <fx@gnu.org>
parents:
diff changeset
40 # mkinstalldirs ends here